-- 返回值
--	水平加速段的加速度，单位：像素每平方秒
local function GetAcceleration()
	return 300
end

-- 返回值
-- 	匀速上升段的上升高度，单位：像素
local function GetOffsetZ()
	return 100
end

-- 返回值
-- 	初始速度，单位：像素每秒
local function GetSpeed()
	return 66
end

-- 清理变量释放内存
local function Unload()
	SoulObj_GetAcceleration = nil
	SoulObj_GetOffsetZ = nil
	SoulObj_GetSpeed = nil
	SoulObj_Unload = nil
end

-- 通过require传给其他Lua脚本使用
local SoulObj = {
	GetAcceleration = GetAcceleration,
	GetOffsetZ = GetOffsetZ,
	GetSpeed = GetSpeed,
	Unload = Unload,
}

-- C++程序使用的global函数名
SoulObj_GetAcceleration = SoulObj.GetAcceleration
SoulObj_GetOffsetZ = SoulObj.GetOffsetZ
SoulObj_GetSpeed = SoulObj.GetSpeed
SoulObj_Unload = SoulObj.Unload

-- require返回值
return SoulObj

